9 Replies Latest reply on Jul 29, 2015 8:08 AM by Leon Wurr

    Macro to change component name with component description

    Hrituc Alexandru

      Hi everyone,

      I need a macro to change component name with component description..

      1.jpg

      I found this code but for the moment i don't know how to modify it

       

      Option Explicit

      Sub main()
          Dim swApp                       As SldWorks.SldWorks
          Dim swModel                     As SldWorks.ModelDoc2
          Dim swSelMgr                    As SldWorks.SelectionMgr
          Dim swComp                      As SldWorks.Component2
          Set swApp = Application.SldWorks
          Set swModel = swApp.ActiveDoc
          Set swSelMgr = swModel.SelectionManager
          Set swComp = swSelMgr.GetSelectedObjectsComponent3(1, 0)
          If swComp Is Nothing Then
              Debug.Print "Select a component and run the macro again."
              Exit Sub
           Else
         
              ' swUserPreferenceToggle_e.swExtRefUpdateCompNames must be set to
              ' False to change the name of a component using IComponent2::Name2
              swApp.SetUserPreferenceToggle swUserPreferenceToggle_e.swExtRefUpdateCompNames, False
         
              ' Print original name of component
              Debug.Print ("  Original name of component = " & swComp.Name2)
             
              ' Change name of component
              swComp.Name2 = "SW"
          
              ' Print new name of component
              Debug.Print ("  New name of component      = " & swComp.Name2)
          End If
      End Sub